Building Newer nvidia drivers from SVN

Here you can discuss every aspect of Debian. Note: not for support requests!

Building Newer nvidia drivers from SVN

Postby abhis3k » 2016-07-16 05:52

Hello everyone,

I am not sure whether it will be proper to post it in specific forum, so I am posting here in Debian General.
Let me explain what I am trying to do and where I am having problems.

I am currently running debian testing (stretch) and trying to build and install newer nvidia drivers (367.27) from SVN and installing it.
I am following the instructions as directed in https://wiki.debian.org/NvidiaGraphicsDrivers#Building_newer_releases_from_SVN

Currently I have steam installed, so the list of the packages installed while installing nvidia driver is here :

    libcuda1
    libcuda1:i386
    libcuda1-i386:i386
    libegl1-nvidia
    libgl1-nvidia-glx
    libgl1-nvidia-glx:i386
    libgl1-nvidia-glx-i386:i386
    libgles1-nvidia
    libgles2-nvidia
    libnvidia-compiler
    libnvidia-eglcore
    libnvidia-ml1
    libnvidia-ml1:i386
    nvidia-driver-bin
    nvidia-installer-cleanup
    nvidia-kernel-common
    nvidia-kernel-dkms
    nvidia-kernel-support
    nvidia-legacy-check
    nvidia-modprobe
    nvidia-opencl-common
    nvidia-persistenced
    nvidia-smi:i386
    nvidia-support
    nvidia-vdpau-driver
    xserver-xorg-video-nvidia

And the list of the packages generated from SVN are as follows

    libcuda1_367.27-1_amd64.deb
    libcuda1_367.27-1_i386.deb
    libcuda1-i386_367.27-1_i386.deb
    libegl1-nvidia_367.27-1_amd64.deb
    libegl1-nvidia_367.27-1_i386.deb
    libegl-nvidia0_367.27-1_amd64.deb
    libegl-nvidia0_367.27-1_i386.deb
    libgl1-nvidia-glx_367.27-1_amd64.deb
    libgl1-nvidia-glx_367.27-1_i386.deb
    libgl1-nvidia-glx-i386_367.27-1_i386.deb
    libgles1-glvnd-nvidia_367.27-1_amd64.deb
    libgles1-glvnd-nvidia_367.27-1_i386.deb
    libgles2-glvnd-nvidia_367.27-1_amd64.deb
    libgles2-glvnd-nvidia_367.27-1_i386.deb
    libgles-nvidia1_367.27-1_amd64.deb
    libgles-nvidia1_367.27-1_i386.deb
    libgles-nvidia2_367.27-1_amd64.deb
    libgles-nvidia2_367.27-1_i386.deb
    libglvnd-nvidia_367.27-1_amd64.deb
    libglvnd-nvidia_367.27-1_i386.deb
    libglx0-nvidia_367.27-1_amd64.deb
    libglx0-nvidia_367.27-1_i386.deb
    libglx-nvidia0_367.27-1_amd64.deb
    libglx-nvidia0_367.27-1_i386.deb
    libnvcuvid1_367.27-1_amd64.deb
    libnvcuvid1_367.27-1_i386.deb
    libnvidia-compiler_367.27-1_amd64.deb
    libnvidia-compiler_367.27-1_i386.deb
    libnvidia-eglcore_367.27-1_amd64.deb
    libnvidia-eglcore_367.27-1_i386.deb
    libnvidia-encode1_367.27-1_amd64.deb
    libnvidia-encode1_367.27-1_i386.deb
    libnvidia-fatbinaryloader_367.27-1_amd64.deb
    libnvidia-fatbinaryloader_367.27-1_i386.deb
    libnvidia-fbc1_367.27-1_amd64.deb
    libnvidia-fbc1_367.27-1_i386.deb
    libnvidia-ifr1_367.27-1_amd64.deb
    libnvidia-ifr1_367.27-1_i386.deb
    libnvidia-ml1_367.27-1_amd64.deb
    libnvidia-ml1_367.27-1_i386.deb
    libnvidia-ptxjitcompiler_367.27-1_amd64.deb
    libnvidia-ptxjitcompiler_367.27-1_i386.deb
    nvidia-alternative_367.27-1_amd64.deb
    nvidia-alternative_367.27-1_i386.deb
    nvidia-cuda-mps_367.27-1_amd64.deb
    nvidia-cuda-mps_367.27-1_i386.deb
    nvidia-detect_367.27-1_amd64.deb
    nvidia-detect_367.27-1_i386.deb
    nvidia-driver_367.27-1_amd64.deb
    nvidia-driver_367.27-1_i386.deb
    nvidia-driver-bin_367.27-1_amd64.deb
    nvidia-driver-bin_367.27-1_i386.deb
    nvidia-graphics-drivers_367.27-1_amd64.changes
    nvidia-graphics-drivers_367.27-1.debian.tar.xz
    nvidia-graphics-drivers_367.27-1.dsc
    nvidia-graphics-drivers_367.27-1_i386.changes
    nvidia-graphics-drivers_367.27.orig.tar.gz
    nvidia-kernel-dkms_367.27-1_amd64.deb
    nvidia-kernel-dkms_367.27-1_i386.deb
    nvidia-kernel-source_367.27-1_amd64.deb
    nvidia-kernel-source_367.27-1_i386.deb
    nvidia-kernel-support_367.27-1_amd64.deb
    nvidia-kernel-support_367.27-1_i386.deb
    nvidia-legacy-check_367.27-1_amd64.deb
    nvidia-legacy-check_367.27-1_i386.deb
    nvidia-libopencl1_367.27-1_amd64.deb
    nvidia-libopencl1_367.27-1_i386.deb
    nvidia-opencl-common_367.27-1_amd64.deb
    nvidia-opencl-common_367.27-1_i386.deb
    nvidia-opencl-icd_367.27-1_amd64.deb
    nvidia-opencl-icd_367.27-1_i386.deb
    nvidia-smi_367.27-1_amd64.deb
    nvidia-smi_367.27-1_i386.deb
    nvidia-vdpau-driver_367.27-1_amd64.deb
    nvidia-vdpau-driver_367.27-1_i386.deb
    xserver-xorg-video-nvidia_367.27-1_amd64.deb
    xserver-xorg-video-nvidia_367.27-1_i386.deb

Can somebody please let me know in which order and which packages need to be installed with
Code: Select all
dpkg -i <name>.deb


Sorry if this was a repeat-posting, I posted it here because I did not find the information anywhere else (forums, google). Thanks in advance.
------------
Do what you love and love what you do!
User avatar
abhis3k
 
Posts: 5
Joined: 2016-07-16 05:36
Location: India

Re: Building Newer nvidia drivers from SVN

Postby abhis3k » 2016-07-16 12:18

Nevermind, I found the solution so sharing it if someone finds it helpful

dpkg -i *_amd64.deb
dpkg -i libglvnd-nvidia_367.27-1_i386.deb libgl1-nvidia-glx-i386_367.27-1_i386.deb libgl1-nvidia-glx_367.27-1_i386.deb libglx0-nvidia_367.27-1_i386.deb libcuda1-i386_367.27-1_i386.deb libcuda1_367.27-1_i386.deb libnvidia-ml1_367.27-1_i386.deb nvidia-smi_367.27-1_i386.deb libglx0-nvidia_367.27-1_i386.deb libglx-nvidia0_367.27-1_i386.deb libgles1-glvnd-nvidia_367.27-1_i386.deb libgles2-glvnd-nvidia_367.27-1_i386.deb libglx0-nvidia_367.27-1_i386.deb

install these packages from build-area directory
------------
Do what you love and love what you do!
User avatar
abhis3k
 
Posts: 5
Joined: 2016-07-16 05:36
Location: India


Return to General Discussion

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable